﻿$packageName = 'geforce-game-ready-driver'
$fileType = 'exe'
$silentArgs = '-s -noreboot'
$url   = 'https://us.download.nvidia.com/Windows/390.65/390.65-desktop-win10-32bit-international-whql.exe'
$url64 = 'https://us.download.nvidia.com/Windows/390.65/390.65-desktop-win10-64bit-international-whql.exe'
$checksum   = '0b7e02e0911bba4eb0119347557e81c730cca1985b77a630a22dcd2338611c5f'
$checksum64 = '3044f4449aeb3c672f144a3038e43dc6cf1f9f4c3077916863f35d416983603b'
$checksumType = 'sha256'

If ( [System.Environment]::OSVersion.Version.Major -ne '10' ) {
	$url   = 'https://us.download.nvidia.com/Windows/390.65/390.65-desktop-win8-win7-32bit-international-whql.exe'
	$url64 = 'https://us.download.nvidia.com/Windows/390.65/390.65-desktop-win8-win7-64bit-international-whql.exe'
	$checksum   = '4fec5e0e2f0e3aa3077b3b0c0c055f5ea0b9ef04fc47361d6cd26d8b5711cae2'
	$checksum64 = '42871de8b269b2e5d2976f89b31e96b7d549466452ecb37855864a34d82adfd3'
}


Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
-Checksum $checksum -ChecksumType $checksumType -Checksum64 $checksum64 `
-ValidExitCodes @(0,1)

Write-Host "The package 'nvidia-display-driver' is also available for those who don't want or need the extra software bundled with the conventional geforce package."
